mma-renum(1)

NAME
mma-renum - renumber mma source files.

SYNOPSIS

mma-renum INFILE

DESCRIPTION

mma-renum renumbers the bar line numbers in an existing mma song file.

When parsing the file any line starting with a digit is assumed to be a chord-data line. Each line is numbered sequentially starting with "1".

Data lines which are processed (those with leading line numbers) are reformatted with a basic spacing of chords.

Caveats

A complete filename is needed for mma-renum. Unlike in mma the ".mma" extension is not automatically appended.

The existing file is deleted and a new file created. It is possible to lose data.

SEE ALSO
mma(1), mma-libdoc(8).

RESOURCES
The latest version of this program is always distributed with MMA and is available at http://www.mellowood.ca/mma

AUTHOR
Bob van der Poel <bob@mellowood.ca>

LICENSE
mma-renum is Copyright 2003-2017 Bob van der Poel. Free use of this software is granted under the terms of the GNU General Public License.